Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/14/2022 in all areas

  1. Yes could be done but if your already interrogating the excel via lisp then just read cells direct. Look at Getexcel.lsp will read a entire excel sheet and make a list that you could use. Re make csv you can save, quit, close, add etc so save as csv would just be find the correct parameters. Did not look. (vlax-invoke-method (vlax-get-property myxl "ActiveWorkbook") "SaveAs" filename -4143 "" "" :vlax-false :vlax-false nil ) ; saveas Working on select range or all to a Acad Table, almost working.
    1 point
  2. A bit basic but it works OK, you might want to look at the loop and options to continue with the next line segment or end the lines there, a check that the supplied distances are valid (triangles... can it be made up), and also a check if hypotenuse distance added is +/- to draw the line left or right.. nut this is the basics - will leave it up to you to change or ask for more details and help (defun c:MakeLines ( / Pt1 Pt2 Hipo VD HD ss) (setq Pt1 (getpoint "\nSelect Start Point")) (setq Hipo (getreal "Enter hypotenuse Distance: ")) (setq VD (getreal "Enter Vertical Distance: ")) (setq HD (sqrt ( - (* Hipo Hipo) (* vd vd)))) (setq Pt2 (mapcar '+ (list HD VD 0) Pt1 )) (command "Line" Pt1 Pt2 "") (setq Pt1 Pt2) (setq ss (ssadd (entlast))) (setq Loop "Yes") (while (= Loop "Yes") (setq Hipo (getreal "Enter hypotenuse Distance: ")) (setq VD (getreal "Enter Vertical Distance: ")) (setq HD (sqrt ( - (* Hipo Hipo) (* vd vd)))) (setq Pt2 (mapcar '+ (list HD VD 0) Pt1 )) (command "Line" Pt1 Pt2 "") (setq ss (ssadd (entlast) ss )) (setq Pt1 Pt2) (initget "Y N") (if (= (getkword "Continue [Y/N]: ") "N")(setq Loop "No")) ) (command "_.pedit" "_m" ss "" "Y" "_j" "" "") )
    1 point
×
×
  • Create New...